<script lang="ts">
  import { requireAuth, requireEventStarted } from "@auth/PermissionRequired";
  import { team } from "@stores";
  import { Alert, Spinner } from "@sveltestrap/sveltestrap";
  import { goto } from "$app/navigation";

  const ready = Promise.all([requireEventStarted(), requireAuth()]);

  async function navigate() {
    await ready;
    if ($team?.id) await goto(`/teams/${$team.id}/survey`);
    else throw new Error("Your team was not found!");
  }
</script>

<svelte:head>
  <title>Survey</title>
</svelte:head>

<div class="container d-flex mt-3">
  {#await navigate()}
    <div class="m-auto d-flex flex-column">
      Loading...
      <br />
      <Spinner class="mt-2 mx-auto" />
    </div>
  {:catch err}
    <Alert class="flex-grow-1" color="danger">{err}</Alert>
  {/await}
</div>
